#!/bin/bash

#
# Sample script, to show the way to get plugin running within sample OOTB store (PowerTools).
#
#
# Prerequisites:
#
# Package of Hybris-1808.8
# Installed Oracle JDK-8, 64-bit
# Configured JAVA_HOME
# Configured Ant-1.9.1+
#
# Make sure you don't have running Hybris.
#

HYBRIS_DIR=hybris-1808

echo Removing installation...
rm -fr $HYBRIS_DIR

echo Unzipping package...
unzip -q HYBRISCOMM180800P_8-70003534.ZIP -d $HYBRIS_DIR

cd $HYB_HOME/installer
./install.sh -r b2b_acc

cd $HYBRIS_DIR/hybris/bin/platform
# if receiving "ant" error, may need to run statements individually and include
# 	running "setantenv.sh" at this point. ". ./setantenv.sh
echo develop | ant createConfig
cd -

rm $HYBRIS_DIR/hybris/config/localextensions.xml
rm $HYBRIS_DIR/hybris/config/local.properties
rm -rf $HYBRIS_DIR/hybris/bin/custom-paypal


cp -R plugin/extensions $HYBRIS_DIR/hybris/bin/custom-paypal
cp -v plugin/samples/1808-b2b/localextensions.xml $HYBRIS_DIR/hybris/config/localextensions.xml
cp -v plugin/samples/1808-b2b/local.properties $HYBRIS_DIR/hybris/config/local.properties
#read -p "... press ENTER"

cd $HYBRIS_DIR/hybris/bin/platform
ant addonuninstall -Daddonnames="smarteditaddon" -DaddonStorefront.yacceleratorstorefront="yb2bacceleratorstorefront"

ant addoninstall -Daddonnames="braintreeb2baddon" -DaddonStorefront.yacceleratorstorefront="yb2bacceleratorstorefront"
#read -p "... press ENTER"

ant clean all initialize
#read -p "... press ENTER"

./hybrisserver.sh
cd -
