#!/bin/bash

#
# Sample script, to show the way to get plugin running within sample OOTB store (Electronics).
#
#
# Prerequisites:
#
# Package of Hybris-1811.9
# Installed Oracle JDK-8, 64-bit
# Configured JAVA_HOME
# Configured Ant-1.9.1+
#
# Make sure you don't have running Hybris.
#

HYBRIS_DIR=hybris-1811

echo Removing installation...
rm -fr $HYBRIS_DIR

echo Unzipping package...
unzip -q CXCOMM181100P_9-70004085.ZIP -d $HYBRIS_DIR

cd $HYBRIS_DIR/hybris/bin/platform
# if receiving "ant" error, may need to run statements individually and include
# 	running "setantenv.sh" at this point. ". ./setantenv.sh
echo develop | ant createConfig
cd -

rm $HYBRIS_DIR/hybris/config/localextensions.xml
rm $HYBRIS_DIR/hybris/config/local.properties
rm -rf $HYBRIS_DIR/hybris/bin/custom-paypal


cp -R plugin/extensions $HYBRIS_DIR/hybris/bin/custom-paypal
cp -v plugin/samples/1811-b2b/localextensions.xml $HYBRIS_DIR/hybris/config/localextensions.xml
cp -v plugin/samples/1811-b2b/local.properties $HYBRIS_DIR/hybris/config/local.properties
#read -p "... press ENTER"

cd $HYBRIS_DIR/hybris/bin/platform
ant addoninstall -Daddonnames="braintreeb2baddon" -DaddonStorefront.yacceleratorstorefront="yb2bacceleratorstorefront"
#read -p "... press ENTER"

ant clean all initialize
#read -p "... press ENTER"

./hybrisserver.sh
cd -
